package com.foreverwin.mesnac.equip.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author Max
 * @since 2020-10-10
 */

@TableName("Z_PMS_EQUIP_TYPE_EQUIP")

public class EquipTypeEquip extends Model<EquipTypeEquip> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("EQUIP_TYPE_BO")
   private String equipTypeBo;
   @TableField("EQUIP_BO")
   private String equipBo;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getEquipTypeBo() {
      return equipTypeBo;
   }

   public void setEquipTypeBo(String equipTypeBo) {
      this.equipTypeBo = equipTypeBo;
   }

   public String getEquipBo() {
      return equipBo;
   }

   public void setEquipBo(String equipBo) {
      this.equipBo = equipBo;
   }

   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "EquipTypeEquip{" +
         "handle = " + handle +
         ", equipTypeBo = " + equipTypeBo +
         ", equipBo = " + equipBo +
         "}";
   }
}